[arch-commits] Commit in vlc/repos (extra-i686 extra-i686/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Tue Oct 7 11:35:38 EDT 2008


    Date: Tuesday, October 7, 2008 @ 11:35:37
  Author: giovanni
Revision: 14524

Merged revisions 14523 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/vlc/trunk

........
  r14523 | giovanni | 2008-10-07 17:33:57 +0200 (mar, 07 ott 2008) | 2 lines
  
  upgpkg: vlc 0.9.4-1
      New version 0.9.4
........

Modified:
  vlc/repos/extra-i686/	(properties)
  vlc/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)


Property changes on: vlc/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /vlc/trunk:1-14329
   + /vlc/trunk:1-14523

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-07 15:33:57 UTC (rev 14523)
+++ extra-i686/PKGBUILD	2008-10-07 15:35:37 UTC (rev 14524)
@@ -3,12 +3,12 @@
 # Contributor: Sarah Hay <sarahhay at mb.sympatico.ca>
 
 pkgname=vlc
-pkgver=0.9.3
-pkgrel=5
+pkgver=0.9.4
+pkgrel=1
 pkgdesc="A multi-platform MPEG, VCD/DVD, and DivX player"
 arch=('i686' 'x86_64')
 url="http://www.videolan.org/vlc/"
-license=('GPL')
+license=('GPL2')
 depends=('libmad' 'libmpeg2' 'ffmpeg' 'hal' 'fluidsynth' \
          'libdvbpsi' 'fribidi' 'sysfsutils' 'libdvdnav' \
          'libmatroska' 'zvbi' 'libdvdread' 'libmpcdec' \
@@ -18,10 +18,10 @@
 makedepends=('pkgconfig' 'live-media>=2008.09.02')
 options=('!libtool')
 source=(http://download.videolan.org/pub/videolan/vlc/${pkgver}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('f38aa41ad3ac8b411f2d4a12e3525120')
+md5sums=('786628aaf8f30a9b812975b67c88b971')
 
 build() {
-  cd ${startdir}/src/vlc-0.9.3
+  cd ${srcdir}/${pkgname}-${pkgver}
   sed -i -e 's:#include <vlc\/vlc.h>:#include <vlc/vlc.h> \n #include <locale.h>: ' modules/misc/freetype.c
   sed -i -e 's:/usr/share/fonts/truetype/freefont/FreeSerifBold.ttf:/usr/share/fonts/TTF/VeraBd.ttf:' modules/misc/freetype.c
   [ "${CARCH}" = "i686" ] && EXTRAFEATURES="--enable-loader --enable-live555 --with-live555-tree=/usr/lib/live-media"
@@ -38,11 +38,11 @@
               --enable-debug --program-suffix= \
               --with-dv-raw1394=/usr/include/libraw1394 ${EXTRAFEATURES} || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir}/ install || return 1
   
   for res in 16 32 48; do
-    install -D -m644 ${startdir}/src/vlc-${pkgver}/share/vlc${res}x${res}.png \
-		     ${startdir}/pkg/usr/share/icons/hicolor/${res}x${res}/apps/vlc.png || return 1
+    install -D -m644 ${srcdir}/vlc-${pkgver}/share/vlc${res}x${res}.png \
+		     ${pkgdir}/usr/share/icons/hicolor/${res}x${res}/apps/vlc.png || return 1
   done
-  rm -rf ${startdir}/pkg/usr/lib/mozilla
+  rm -rf ${pkgdir}/usr/lib/mozilla
 }




More information about the arch-commits mailing list